#!/usr/bin/env node
import { createRequire as createRequire_BATI_CLI } from 'module';
const require = createRequire_BATI_CLI(import.meta.url);

import {
  QEs
} from "../../../../chunk-L3HFTASV.js";
import "../../../../chunk-IAWYWZSL.js";
import "../../../../chunk-DHZ7AZKP.js";

// ../../boilerplates/sqlite/dist/files/$README.md.js
async function getReadme(props) {
  if (props.meta.BATI.hasD1) return;
  const content = await QEs(props);
  const todo = `
## *Sqlite*

First, ensure that \`DATABASE_URL\` is configured in \`.env\` file, then create the database:
\`\`\`bash
pnpm sqlite:migrate # creates sqlite tables
\`\`\`
`;
  content.addMarkdownFeature(todo, "sqlite");
  return content;
}
export {
  getReadme as default
};
